<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Table_fields {

	// Magic function return false
	public function __call($name, $arguments)
    {
       return array();
    }
    
	public function strip_fields ($name, $data, $user_id = 0)
	{
		// load class based on user role
		$roles = array('admin'=>'A', 'pmf'=>'F', 'pm'=>'P', 'member'=>'M');
		
		$CI =& get_instance();
		$CI->load->library(OTBASE_PATH.'OT_User');
		$role = $CI->ot_user->get('user_role');
		
		// Load class based on user role in selected project
		if(!empty($data['project_id'])) 
		{
			$result = user_project_role($data['project_id'], $user_id);
			$role 	= $result->user_role;
		}
		
		$role = array_search($role, $roles);
		
		$method = 'get_'.$name.'_fields';	
		$class	= 'Table_fields_'.$role;
		
		$obj	=	strtolower($class);
		$CI->$obj = new $class();
	
		$fields = $CI->$obj->{$method}();
		
		// if empty array return
//		if (!$fields) {
//			$this->error = 'INVALID_REQUEST';
//            return false;
//		}
		
		// no need to strip any fields
		if ($fields===array())
		{
			return $data;
		}
		
		return $this->format_data($fields, $data);
	}
	
	function format_data ($fields, $data, $req_data = array())
	{
		$CI =& get_instance();
		
		// strip non required fields
		foreach ($fields as $key=>$val)
		{
			/* if (!isset($data[$key]))
			{
				$this->error = 'REQUIRE_DATA_MISSING';
            	return false;
			} */
		 
			$values		= (isset($data[$key]) && !$val)?$data[$key]:$val;
			if (is_array($values))
			{
				$req_data[$key] = array();
				if (!empty($data[$key])) {
					foreach ($data[$key] as $dkey=>$dval)
					{
						$req_data[$key][$dkey] = $dval;	

						// object to array conversion to store data
						$dval = is_object($dval)?(array)$dval:$dval;
						if (is_array($dval) )
						{
							$req_data[$key][$dkey] = array();
							$req_data[$key][$dkey] = $this->format_data($values, $dval, $req_data[$key][$dkey]);
						}
					}
				}
			} else {
				$req_data[$key] = $values;
			}
			
		}
		return $req_data;
	}
}

class Table_fields_member {
	
	// Magic function return empty
	public function __call($name, $arguments)
    {
       return array();
    }
    
	public function get_project_expense_fields() 
	{
		return  array ('expense_id' => '', 'project_id' => '', 'expense_date'=>'', 'amount' => '', 'expense_type_id' => '', 'notes' => '', 'approved_by' => 0, 'invoice_id' => 0, 'quantity' => '', 'unit_price' => '');
	}
	
	public function get_attachment_fields() 
	{
		return  array ('attachment_id' => '', 'entity_id' => '', 'file_type'=>'', 'file_name' => '', 'module_type' => '', 'module_id' => '', 'file_path' => '', 'file_size' => '', 'title' => '', 'checkedout_by' => '', 'checkedout_date' => '', 'version' => '', 'posted_by' => '', 'posted_date' => '');
	}
	
	public function get_timesheets_fields()
    {
    	$CI =& get_instance();
		$CI->load->library(OTBASE_PATH.'OT_User');
		$user_id = $CI->ot_user->get('user_id');

    	return  array('time_sheet_id' => 0,'timesheet_id'=>'', 'user_id'=>'', 'project_id' =>'', 'task_type_id' => '', 'project_task_id' => '', 'entry_date' => '', 'hours' => '','estimated_hours' => '',
    				 'notes' => '', 'is_archive' => 0, 'is_billable' => 0,	'is_progress' => 0, 'invoice_id'=> 0 , 'approval_status' => '', 'approved_by' => 0,'actual_hours' => 0,'activity_name' => '',
    			'details' => array('time_sheet_detail_id'=>'', 'from_time'=>'', 'to_time'=>'', 'hours'=>'', 'is_progress' => 0,'time_sheet_id' => 0)); 
    }
    
}

class Table_fields_pm Extends Table_fields_member {
	
	public function get_users_fields ()
	{
		return  array('user_id'=>'', 'first_name'=>'', 'last_name'=>'', 'email'=>'', 'department'=>'', 'time_zone_code'=>'', 'is_active'=>'', 'user_image'=>'', 'user_role'=>'M','password'=>'', 'confirm_password' => '');
	}
	
	public function get_tasktypes_fields ()
	{
		return  array('project_task_type_id'=>'', 'project_id'=>'', 'task_type_id'=>'', 'is_billable'=>'', 'estimated_hours' => '');
	}
	
 	public function get_timesheets_fields()
    {
    	$CI =& get_instance();
		$CI->load->library(OTBASE_PATH.'OT_User');
		$user_id = $CI->ot_user->get('user_id');

    	return  array('time_sheet_id' => 0,'timesheet_id'=>'', 'user_id'=>'', 'project_id' =>'', 'task_type_id' => '', 'project_task_id' => '', 'entry_date' => '', 'hours' => '', 'estimated_hours' => '',
    			 'notes' => '', 'is_archive' => 0, 'is_billable' => 0,	'is_progress' => 0, 'invoice_id'=> 0 , 'approval_status' => 'A', 'approved_by' => 0, 'actual_hours' => 0,'activity_name' => '',
    			'details' => array('time_sheet_detail_id'=>'', 'from_time'=>'', 'to_time'=>'', 'hours'=>'', 'is_progress' => 0,'time_sheet_id' => 0)); 
    }
	
	public function get_tasks_fields()
	{
		return array(
					'task_id' => '',
					'entity_id' => '',
					'project_id' => '',
					'task_type_id' =>'',
					'task_number' => '',
					'name' => '',
					'duration' => '',
					'task_status_id' => '',
					'start_date' => '',
					'finish_date' => '',
					'predecessors' => '',
					'is_billable' => '',
					'is_milestone' => '',
					'is_closed' => 0,
					'parent_task_id' => '',
					'percentage_complete' => '',
					'notes' => '',
					'actual_start_date' => '',
					'actual_finish_date' => '',
//					'deviance' => '',
					'worked_hours' =>' ',
					'is_parent' => '',
					'has_comments' => '',
					'has_attachments' => '',
					'created_by' => '',
					'created_date' => '',
					'last_updated_by' => '',
					'last_updated_date' => ''					
					);
	}

}


class Table_fields_pmf Extends Table_fields_pm {
	
	public function get_users_fields ()
	{
		return  array('user_id'=>'', 'first_name'=>'', 'last_name'=>'', 'email'=>'', 'department'=>'', 'time_zone_code'=>'', 'is_active'=>'', 'user_image'=>'', 'hourly_rate'=>'', 'user_role'=>'','password'=>'', 'confirm_password' => '');
	}
		
} 

class Table_fields_admin Extends Table_fields_pmf {
	
	public function get_clients_fields ()
	{
		return  array (
					'client_id' => '',
					'client_name' => '',
					'client_code' => '',
					'address' => '',
					'bg_color'	=>	'',
					'contacts' => array (
						'client_contact_id' => '',
						'address_id' => '',
						'name' => '',
						'title' => '',
						'email' => '',
						'workphone' => '',
						'mobile' => ''),
					'deleted_contacts' => array()
				);
	}

}

