(function(Otime){

	Otime.TimeSheetTeam	= new function TimeSheetTeam(){
//		"use strict";

		var _this	= this;

		_this.name	= "timesheet";

		_this.model	= "TeamListModel";

		_this.language	= null;

		_this.popover	= null;

		_this.popoverDay	= null;

		_this.curTime	= null;

		_this.perDayHours	= 8;

		_this.DAY_VIEW	= 0;
		_this.WEEK_VIEW	= 1;
		_this.MONTH_VIEW	= 2;
		_this.tmplNames	= ["day", "week", "month"];

		_this.team_interval=6E5;

		_this.TeamListModel	= function(data){
			var self	= this;

			data	= data || {};

			data.date	= new Date();

			var flag	= false;
			var sortOrder	= "asc";

			data.view	= data.view || 0;
			self.view	= Otime.o("");
			self.tmplName	= Otime.o(_this.tmplNames[data.view]);
			self.date	= Otime.o(new Date());
			self.from_date	= Otime.o();
			self.to_date	= Otime.o();
			self.days		= Otime.o();

			// Task pane vars
			self.isRightPane	= Otime.o(false);
			self.task_detail	= Otime.o();
			self.task_types	= Otime.o();
			self.task_users	= Otime.o();
			self.users_sort	= Otime.a([]);
			self.task_status	= Otime.o();

			self.projects		= Otime.a([]);
			self.users			= Otime.a([]);
			self.sel_project	= Otime.o((Otime.Storage.get("team_filter_PR") || "0").split(','));
			self.sel_user		= Otime.o((Otime.Storage.get("team_filter_US") || "0").split(','));

			var ret = false, oldVal	= [];
			self.sel_project.subscribe(function(oldValue){
				oldVal	= oldValue;
			}, null, "beforeChange");
			self.sel_project.subscribe(function(newVal){
				Otime.Storage.set("team_filter_PR",newVal.join(','));
				if (ret)
				{
					ret	= false;
					self.refresh();
					return true;
				}
				if (newVal.length <= 0)
				{
					ret	= true;
					self.sel_project(["0"]);
					return true;
				}
				if (Number(newVal[0]) <= 0)
				{
					ret	= true;
					if (oldVal.length==1 && newVal.length == 2)
					{
						newVal.splice(Number(oldVal[0] == newVal[1]), 1);
						self.sel_project(newVal);
						return true;
					}
					self.sel_project(["0"]);
					return true;
				}
				self.refresh();
			});

			var user_ret = false, user_oldVal	= [];
			self.sel_user.subscribe(function(oldValue){
				user_oldVal	= oldValue;
			}, null, "beforeChange");
			self.sel_user.subscribe(function(newVal){
				Otime.Storage.set("team_filter_US",newVal.join(','));
				if (user_ret)
				{
					user_ret	= false;
					self.refresh();
					return true;
				}
				if (newVal.length <= 0)
				{
					user_ret	= true;
					self.sel_user(["0"]);
					return true;
				}
				if (Number(newVal[0]) <= 0)
				{
					user_ret	= true;
					if (user_oldVal.length==1 && newVal.length == 2)
					{
						newVal.splice(Number(user_oldVal[0] == newVal[1]), 1);
						self.sel_user(newVal);
						return true;
					}
					self.sel_user(["0"]);
					return true;
				}
				self.refresh();
			});

			self.day_change	= function(val){
				return function(item, elem){
					var day	= new Date(self.date());

					// val = "+" or "-"
					switch(self.view()-0)
					{
						case _this.WEEK_VIEW:	// Weekly
							day.addWeeks(Number(val + "1"));
							break;
						case _this.MONTH_VIEW:	// Monthly
							day.addMonth(Number(val + "1"));
							break;
						default:	// _this.DAY_VIEW
							day.addDays(Number(val + "1"));
							break;
					}
					self.date(day.format(Otime.jdf));
				};
			};

			self.items	= Otime.a([]);
			self.isNoData	= Otime.o(false);

			self.tsDetails	= Otime.o(null);
			self.tsDayDetails	= Otime.o(null);

			self.isProgress	= Otime.o(false);
			self.progress	= function(){

				if (self.isProgress())
				{
					$.each(self.items(), function(key, val){
						$.each(val.timesheets(), function(k, v){
							v.is_show(true);
							val.is_progress(false);
						});
					});
					self.isProgress(false);
					$('.timesheet').removeClass('noborder');
					$('.user.h5').addClass('nospace');

//					self.items.sort(function(a, b){
//						return (a.hours() < b.hours() ? -1 : a.hours() > b.hours() ? 1 : 0) & (a.user_name() < b.user_name() ? -1 : a.user_name() > b.user_name() ? 1 : 0);
//					});

					self.items.sort(function(a, b){
						if (!b.hours())
							return -1;

						if (!a.hours())
							return 1;

						return (a.user_name() < b.user_name() ? -1 : a.user_name() > b.user_name() ? 1 : 0);
					});
				}
				else
				{
					$.each(self.items(), function(key, val){
						$.each(val.timesheets(), function(k, v){
							if (v.is_progress())
							{
								val.is_progress(true);
								v.is_show(true);
							}
							else
							{
								val.is_progress(val.is_progress() || false);
								v.is_show(false);
							}
						});
					});
					self.isProgress(true);
					$('.timesheet').addClass('noborder');
					$('.user.h5').addClass('nospace');

					self.items.sort(function(a, b){
						return (a.is_progress() === b.is_progress())? 0 : a.is_progress() ? -1 : 1;
					});
				}
			};

			self.close	= function(){
				_this.popover.hide();
				_this.popoverDay.modal('hide');
			};

			self.show_day	= function(item){
				flag	= true;
				self.date(new Date(item.date));
				flag	= false;
				self.view(_this.DAY_VIEW);
			};

			var showDetails	= {
				day: function(item, elem){
//					if (_this.popover.is(":visible"))
//					{
//						_this.popover.hide();
//						return true;
//					}

					elem	= $(elem.delegateTarget);
					if (!elem.get(0))
					{
						return false;
					}

					var clbk	= function(cont){
						var resp	= cont.response;
						if (resp.items && resp.items.otvalues && resp.items.otvalues.length > 0)
						{
							var hrs	= 0,
								ret	= {},
								cnt	= 0;
							resp.items	= resp.items.otvalues.setKeys(resp.items.otkeys, function(itm){
								itm.is_progress	= !!(itm.is_progress-"");
								itm.hours	= (itm.hours-0).toFixed(2);
								hrs	+= (itm.hours-0);
								if (!itm.is_progress)
									cnt++;
							});

							if (!cnt)
							{
								return true;
							}

							if (item instanceof _this.TeamContentModel)
							{
								ret.item	= item;
							}
							else
							{
								ret.item	= item.getParent();
							}

							ret.list	= resp.items;
							ret.direct_entry	= (item.hours() - (hrs.toFixed(2)-0));

							self.tsDetails(ret);

							_this.popover.css({
								top: elem.position().top - ((_this.popover.outerHeight(true) - elem.outerHeight(true))/2),
								left: elem.position().left - (_this.popover.outerWidth(true))
							}).show();
						}
					};

					if (item instanceof _this.TimeSheetModel)
					{
						Otime.app.postData(new Otime.ContextModel({
							url: "user_hours",
							global: false,
							data: {
								time_sheet_id: item.time_sheet_id()
							},
							callback: clbk
						}));
					}

					if (item instanceof _this.TeamContentModel)
					{
						var dt	= new Date(self.date());
						Otime.app.postData(new Otime.ContextModel({
							url: "user_hours",
							global: false,
							data: {
								date: dt.format(Otime.sdf),
								user_id: item.user_id()
							},
							callback: clbk
						}));
					}
				},
				days: function(item, elem, user, dt){
					if (!self.getHour(user.hoursList, dt))
					{
						return true;
					}

					var user_id	= user.user_id();
					var postData	= {
						filter_user_id: user_id,
						date: new Date(item.date).format(Otime.sdf),
						filter_project_id: (self.sel_project().length > 0 ? self.sel_project() : []).join(",")
//						view: self.view()
					};

					Otime.app.postData(new Otime.ContextModel('team/details', postData, function(cont){
						var resp	= cont.response;

						var _items	= [];

						if (resp.details && resp.details.otvalues && resp.details.otvalues.length > 0)
						{
							resp.details	= resp.details.otvalues.setKeys(resp.details.otkeys, function(itm){
								_items.push(itm);
							});
						}

						if (resp.assigned_tasks && resp.assigned_tasks.otvalues && resp.assigned_tasks.otvalues.length > 0)
						{
							resp.assigned_tasks	= resp.assigned_tasks.otvalues.setKeys(resp.assigned_tasks.otkeys, function(itm){
								_items.push(itm);
							});
						}

						var tmpArr	= [],
							hrs		= 0;
						if (_items && _items.length > 0)
						{
							$.each(_items, function(key, val){
								hrs	+= (val.hours-0);
								tmpArr.push(new _this.TimeSheetModel(val, user));
							});
						}

						resp.others	= resp.others || null;
						if (resp.others && resp.others.otvalues && resp.others.otvalues.length > 0)
						{
							resp.others	= resp.others.otvalues.setKeys(resp.others.otkeys)[0];
							resp.others.project_name	= $.unique(resp.others.project_name);
							tmpArr.push(new _this.TimeSheetModel({
								activity_name: "Others (" + resp.others.project_name.join(", ") + ")",
								hours: resp.others.hours
							}, user));
						}

						user.timesheets(tmpArr);
						user.hours(hrs.toFixed(2));

						self.tsDayDetails({
							date: new Date(item.date),
							user: user
						});
						_this.popoverDay.modal({
							backdrop: true,
							show: true,
							keyboard: true
						});
					}));
				}
			};

			self.show_details	= function(user, elem){
				var target	= $(elem.target);

				if (self.view() && target.is("td.day") && target.attr("data-date"))
				{
					var dt	= target.attr("data-date");
					var item	= self.days()[dt];
					showDetails[["day", "days", "days"][self.view()]](item, elem, user, dt);

					return true;
				}
				else if(self.view() == 0)
				{
					showDetails.day(user, elem);
//					showDetails[["day", "days", "days"][self.view()]](
				}

				return false;
			};

			// Sort using two properties.
//			myArray.sort(function(a, b){
//				var x	= a.RemindingTimestamp - b.RemindingTimestamp;
//				return x == 0? a.ModificationTimestamp - b.ModificationTimestamp : x;
//			});

			self.sort	= function(sortBy){
				sortBy	= ({user:"user_name", total_hours:"total_hours", progress:"is_progress"})[sortBy || "user"];

				return function(item){
					if (sortOrder == "asc")
					{
						self.items.sort(function(a, b){
							var x	= a[sortBy](), y = b[sortBy]();
							return x < y ? -1 : x > y ? 1 : 0;
						});
						sortOrder	= "desc";
					}
					else
					{
						self.items.sort(function(a, b){
							var y	= a[sortBy](), x = b[sortBy]();
							return x < y ? -1 : x > y ? 1 : 0;
						});
						sortOrder	= "asc";
					}
				};
			};

			self.getHour	= function(hoursList, dt){
				hoursList	= hoursList();
				return hoursList[dt] ? (hoursList[dt].hours-0 || "") : "";
			};

			self.checkHour	= function(hoursList, dt){
				hoursList	= hoursList();
				return (hoursList[dt] ? ((hoursList[dt].hours-0).toFixed(1)-0 || 0) : 0) < _this.perDayHours;
//				return (hoursList[days.dt] ? (hoursList[days.dt].hours-0 || 0) : 0) < _this.perDayHours;
			};

			var prepareData	= function(){
				var data = {};

				var dt	= new Date(self.date());
				data.date	= dt.format(Otime.sdf);
				data.filter_project_id	= (self.sel_project().length > 0 ? self.sel_project() : []).join(",");
				data.filter_user_id	= (self.sel_user().length > 0 ? self.sel_user() : []).join(",");

				if ((self.view()-0) != 0)
				{
					data.from_date	= new Date(self.from_date()).format(Otime.sdf);
					data.to_date	= new Date(self.to_date()).format(Otime.sdf);
				}

				return data;
			};

			var responses	= {
				dayResponse: function(cont){
					var response	= cont.response;

					var _items	= {}, key="", task_status={};

					if (response.task_status && Object.keys(response.task_status).length > 0)
					{
						response.task_status	= response.task_status.otvalues.setKeys(response.task_status.otkeys, function(val){
							var tss_id = val.task_status_id-0;
							task_status[tss_id]	= val;
						});
					}

					if (response.details && response.details.otvalues && response.details.otvalues.length > 0)
					{
						response.details	= response.details.otvalues.setKeys(response.details.otkeys, function(item){
							key	= "user_id_" + item.user_id;
							_items[key]	= _items[key] || [];
							var tss_id = item.task_status_id-0;
							item.status	= task_status[tss_id];
							_items[key].push(item);
						});
					}

					if (response.assigned_tasks && response.assigned_tasks.otvalues && response.assigned_tasks.otvalues.length > 0)
					{
						response.assigned_tasks	= response.assigned_tasks.otvalues.setKeys(response.assigned_tasks.otkeys, function(item){
							key	= "user_id_" + item.user_id;
							_items[key]	= _items[key] || [];
							_items[key].push(item);
						});
					}

					response.others	= response.others || {};
					if (response.others.otvalues && response.others.otvalues.length > 0)
					{
						response.others	= response.others.otvalues.setKeys(response.others.otkeys, null, "user_id", "user_id_");
					}

					var tmpArr	= [],
						tmpArr2	= [];
					if (response.users && response.users.otvalues && response.users.otvalues.length > 0)
					{
						var key	= "";
						response.users	= response.users.otvalues.setKeys(response.users.otkeys, function(item){
							key	= "user_id_"+item.user_id;
							item.details	= _items[key] || [];

							if (item.details.length > 0)
							{
								tmpArr.push(new _this.TeamContentModel(item, response.others[key]));
							}
							else
							{
								tmpArr2.push(new _this.TeamContentModel(item, response.others[key]));
							}
						});
					}

					self.items(tmpArr);
					self.items.append(tmpArr2);
					self.isNoData(self.items().length<=0);
				},
				daysResponse: function(cont){
					var response	= cont.response;

					var _items	= {},
						key	= "",
						totalHours	= {};

					if (response.details && response.details.otvalues && response.details.otvalues.length > 0)
					{
						response.details	= response.details.otvalues.setKeys(response.details.otkeys, function(item){
							key	= "user_id_" + item.user_id;
							_items[key]	= _items[key] || {};
							_items[key][item.entry_date]	= item || {};
							totalHours[key]	= (totalHours[key] || 0) + ((item.hours || 0)-0);
						});
					}

					var tmpArr	= [],
						tmpArr1	= [];

					if (response.users && response.users.otvalues && response.users.otvalues.length > 0)
					{
						var key	= null;
						response.users	= response.users.otvalues.setKeys(response.users.otkeys, function(item){
							key	= "user_id_"+item.user_id;
							item.hoursList	= _items[key] || {};
							item.total_hours	= totalHours[key] || "";
							if (item.total_hours)
								tmpArr.push(new _this.TeamContentModel(item));
							else
								tmpArr1.push(new _this.TeamContentModel(item));
						});
//						if (tmpArr.length)
					}
					self.items(tmpArr);

					if (tmpArr1.length)
						self.items.append(tmpArr1);
					self.isNoData(self.items().length<=0);

					_this.buildTemplate(self.days, self.view());
				}
			};

			self.refresh	= function(){
				var data	= prepareData();

				Otime.app.postData(new Otime.ContextModel('team/details', data, function(cont){
					responses[["dayResponse", "daysResponse", "daysResponse"][self.view()]](cont);
					_this.scrollEvent();
					if(self.isProgress()) {
						self.isProgress(false);
						self.progress();
					}
				}));
			};

			_this.teamRefresh	= _this.teamRefresh || null;
			clearInterval(_this.teamRefresh);
			_this.teamRefresh	= setInterval(function(){
				if (Otime.app.currentViewName != 'TimeSheetTeam') {
					return true;
				}
				if (Otime.Menu.isTabHidden())
				{
					_this.team_interval-=6E5;
					return true;
				}
				self.refresh();
				_this.team_interval=6E5;
			}, 6E5);

			self.loadFilters	= function(callback){
				Otime.app.loadData(new Otime.ContextModel('load_filters', null, function(context){
					var data	= context.response;
					var tmpArr	= [];

					if (data.projects.otvalues && Object.keys(data.projects.otvalues).length > 0)
					{
						var tmp	= [];
						tmp["0"]	= {
							project_id: "0",
							project_name: "All my Projects"
						};
						data.projects	= data.projects.otvalues.setKeys(data.projects.otkeys, function(item){
							tmp.push(item);
						});
						self.projects(tmp);
					}

					if (data.users.otvalues && Object.keys(data.users.otvalues).length > 0)
					{
						tmpArr	= [];
						tmpArr.push({
							user_id: "0",
							user_name: "All Users",
							user_image: Otime.USIP + "no_user.jpg"
						});
						data.users	= data.users.otvalues.setKeys(data.users.otkeys, function(user){
							tmpArr.push({
								user_id: user.user_id,
								user_name: user.first_name + " " + user.last_name,
								user_image: Otime.USIP + user.user_image || "no_user.jpg"
							});
						});
						self.users(tmpArr);
					}

					if (typeof callback == "function")
					{
						callback();
					}
				}));
			};

			// Common Subscribe function.
			var subscribe	= function(){
				if (flag)
				{
					flag	= false;
					return true;
				}
				var _date	= new Date(self.date());
				self.items([]);
				self.tmplName(_this.tmplNames[self.view()-0]);
				switch(self.view()-0)
				{
					case _this.WEEK_VIEW:	// Weekly
						self.from_date(_date.getWeekStart());
						self.to_date(_date.getWeekEnd());
						break;
					case _this.MONTH_VIEW:	// Monthly
						self.from_date(_date.getMonthStart());
						self.to_date(_date.getMonthEnd());
						break;
					default:	// Day view
						self.from_date(_date);
						self.to_date(_date);
						break;
				}

				var days	= null;
				if (self.view())
				{
					var start	= new Date(self.from_date());
					var end	= new Date(self.to_date());
					days	= {};
					while(start<=end)
					{
						days[start.format(Otime.sdf)]	= new _this.DayModel({
							date: start
						});
						start.addDays(1);
					}
				}
				self.days(days);

				self.refresh();
			};

			self.view.subscribe(function(newVal){
				Otime.Storage.set("team_filter_view",newVal);
				subscribe();
			});
			self.date.subscribe(function(newVal){
				newVal	= new Date(newVal);
				switch(self.view())
				{
					case _this.WEEK_VIEW:
						if (newVal.getWeek() != new Date(self.from_date()).getWeek())
						{
							subscribe();
						}
						break;
					case _this.MONTH_VIEW:
						if (newVal.getMonth() != new Date(self.from_date()).getMonth())
						{
							subscribe();
						}
						break;
					default:
						subscribe();
						break;
				}
			});

			self.swap_view	= function(view){
				view	= view || _this.DAY_VIEW;
				return function(){
					self.view(view);
				};
			};

			self.loadFilters(function(){
				self.view(data.view);
			});
//			self.refresh();
		};

		_this.TeamContentModel	= function(data, others){
			var self	= this;

			data	= data || {};
			self.user_name	= Otime.o($.trim((data.first_name || "") + " " + (data.last_name || "")).ucfirst());
			self.user_id	= Otime.o(data.user_id || 0);
			self.is_active	= Otime.o(!!(data.is_active-0));

			data.user_image	= ($.trim(data.user_image) == "") ? Otime.baseUrl + ("/files/photo/noImg.png") : (Otime.UMIP + data.user_image);
			self.user_image		= Otime.o(data.user_image);

			self.hours		= Otime.o(data.hours || 0);
			self.total_hours	= Otime.o(data.total_hours || 0);
			self.timesheets	= Otime.a([]);
			self.hoursList	= Otime.o(data.hoursList || {});
			self.is_progress	= Otime.o(false);

			self.showTask	= function(item){
				Otime.MyTasks.showTask(item.project_task_id, item.project_id, {
					isRightPane: _this.appModel.isRightPane,
					task_detail: _this.appModel.task_detail,
					task_types: _this.appModel.task_types,
					users: _this.appModel.task_users,
					users_sort: _this.appModel.users_sort,
					task_status: _this.appModel.task_status
				});
			};

			if (data.details && data.details.length > 0)
			{
				var tmpArr	= [],
					hrs		= 0,
					itm		= null;

				$.each(data.details, function(key, val){
					if (!(val.is_progress-0))
						hrs	+= (val.hours-0);
					tmpArr.push(new _this.TimeSheetModel(val, self));
				});

				self.hours((self.hours()-0) + (hrs.toFixed(2)-0));

				if (typeof others != "undefined")
				{
					others.project_name	= $.unique(others.project_name);
					tmpArr.push(new _this.TimeSheetModel({
						activity_name: "Others (" + others.project_name.join(", ") + ")",
						hours: others.hours
					}, self));
				}

				self.timesheets(tmpArr);
			}
		};

		_this.TimeSheetModel	= function(data, parent){
			var self	= this;

			data	= data || {};

			self.time_sheet_id	= Otime.o(data.time_sheet_id || 0);
			self.project_name	= Otime.o(data.project_name || "");
			self.is_billable	= Otime.o(!!(data.is_billable-0));
			self.is_progress	= Otime.o(!!(data.is_progress-0));
			self.is_show		= Otime.o(true);

			var ttype	= data.task_type || "";

			if(Otime.Currency && self.is_billable())
			{
				ttype	+= "&nbsp;&nbsp;&nbsp;( " + Otime.Currency + " )";
			}
			ttype	= $('<textarea />').html(ttype).text().trim();
			self.project_id	= data.project_id;
			self.project_task_id	= data.project_task_id;
			self.task_type		= Otime.o(ttype);
			self.activity_name	= Otime.o(data.activity_name || "");
			self.task_number	= Otime.o(data.task_number || "");
			self.hours	= Otime.o(Number(data.hours).toFixed(2) || "");
			self.hours_disp	= Otime.o("");
			self.notes	= Otime.o(data.notes || "");
			self.from_time	= Otime.o(data.from_time || "");
			self.curTime	= Otime.o(data.cur_time || new Date().format("HH:NN:SS AP"));
			self.estimated_hours = Otime.o(data.estimated_hours || 0);
			self.task_priority		= Otime.o(data.task_priority || "");
			self.status			= Otime.o(data.status || null);


			self.getParent	= function(){
				return parent;
			};

			if (data.from_time && _this.appModel.view() == _this.DAY_VIEW)
			{
				_this.SetInterval(data.from_time, self, (self.hours()*60*60), "HH<b class='blink'>:</b>NN");
			}
		};

		_this.DayModel	= function(data){
			var self	= this;

			data	= data || {};

			self.hours	= data.hours;
			self.date	= new Date(data.date);
			self.is_leave	= self.date.isLeave();
			self.is_future	= self.date.isFuture();
			self.is_today	= self.date.isToday();

			self.dt		= self.date.format(Otime.sdf);
		};

		_this.SetInterval	= function(startTime, item, addSeconds, tmpl){
			addSeconds = Number(addSeconds) || 0;
			var matches	= startTime.match(/^(\d+):(\d+):(\d+) (AM|PM)/);
			if (!matches)
			{
				return false;
			}

			var tod		= Otime.Date();
			var diff	= Math.round((new Date(tod.format("YYYY/MM/DD")+" "+item.curTime()).getTime() - tod.getTime())/1000);
			if (diff != 0)
			{
				addSeconds	+= diff;
			}

			if (addSeconds != 0)
			{
				startTime	= jhelper.addSeconds(startTime, -addSeconds).format("HH:NN:SS a/p");
			}
			tmpl	= tmpl || "HH : NN : SS";

			item.tstamp	= Otime.Date();

			var parentHrs	= item.getParent().hours,
				op	= jhelper.getTimeDiffObj(startTime, item.tstamp.format("HH:NN:SS a/p")),
				last	= op.minutes;
				item.hours(((op.hours - 0) + ((op.minutes/60) - 0)).toFixed(2));
			
			parentHrs(Number(parentHrs()) + Number(op.hours + "." + Math.round((op.minutes/60)*100)));
			item.timerInstance	= setInterval(function(){
				item.tstamp	= item.tstamp.addSeconds(1);
				op	= jhelper.getTimeDiffObj(startTime, item.tstamp.format("HH:NN:SS a/p"));
				if (last != op.minutes)
				{
					// Calculate for 1 minutes in percent.
					// then convert it into hrs by divide it into 100
					parentHrs(parentHrs() + (100/60/100));
					last	= op.minutes;	
					item.hours(((op.hours - 0) + ((op.minutes/60) - 0)).toFixed(2));
				}
				
				item.hours_disp(tmpl.replace("HH", op.hours).replace("NN", op.minutes).replace("SS", op.seconds));
			}, 1000);
		};

		_this.scrollEvent	= function(isDetach){
			// Fixed Header JS.
			var $main	= $("#main-container");
			$main.unbind("scroll");

			if (isDetach)
			{
				return false;
			}

			var teamTable		= $(".team-table-day"),
				teamTableHead	= $(".team-table-day-h");

			$main.on("scroll", function(){
				if ($main.scrollTop() < 80)
				{
					teamTableHead.hide();
				}
				else if(!teamTableHead.is(":visible"))
				{
					teamTableHead.show().css({
						display: "table",
						width: teamTable.width()
					});
				}
			});
		};

		// Dynamic template building for slow performance.
		_this.buildTemplate	= function(days, view){
			var bodyTmpl	= '';

			bodyTmpl	+= '<!-- ko foreach:items -->';
			bodyTmpl	+= '<!-- ko if:is_active() || total_hours()>0 -->';
			bodyTmpl	+= '<tr class="" data-bind="click:$root.show_details">';
			bodyTmpl	+= '	<td class="uname" colspan="1" style="padding:2px;">';
			bodyTmpl	+= '		<img src="" data-bind="img:user_image, attr:{title:user_name}" class="img28x28" />';
			bodyTmpl	+= '		<span class="" data-bind="text:user_name"></span>';
			bodyTmpl	+= '	</td>';

			var keys	= Object.keys(days()),
				className	= "",
				value	= null;
			for (var i=0, len=keys.length; i<len; i++)
			{
				value	= days()[keys[i]];

				className	= value.is_leave ? " _holyH" : "";
				className	+= value.is_future ? " future" : "";
				className	+= value.is_today ? " today" : "";

				bodyTmpl	+= '	<td data-date="' + value.dt + '" class="ac cp day' + className + '" style="padding:2px;" data-bind="css:{\'hrs-err\':$root.checkHour(hoursList, \'' + value.dt + '\')}, hours:{val:$root.getHour(hoursList, \'' + value.dt + '\'), fix:1, sep:\'.\'}"></td>';
			}
			bodyTmpl	+= '	<td class="tot-hrs ac" style="padding:3px;" data-bind="hours:{val:total_hours, sep:\'.\', fix:1}"></td>';
			bodyTmpl	+= '</tr>';
			bodyTmpl	+= '<!-- /ko -->';
			bodyTmpl	+= '<!-- /ko -->';

			var name	= ["", "week-body", "month-body"][view];
			var element	= ["", "#team-table-week tbody", "#team-table-month tbody"][view];
			$("#" + name).html(bodyTmpl);

			ko.renderTemplate(name, _this.appModel, {}, $(element).get(0));
		};

		_this.loadTemplates	= function(clbk){
			var url	= Otime.siteUrl + '/timesheet/team_tmpl';
			$.get(url, {
				v: Otime.version
			}, function(content){
				$("#main-container").append(content);
				typeof clbk === 'function' && clbk();
			});
		};

		_this.init	= function(){
			_this.list_container	= $("#team-container");
			_this.popover	= $("#popover");
			_this.popoverDay	= $("#popover-day");

			_this.appModel	= new _this.TeamListModel({
				view: Otime.Storage.get("team_filter_view") || _this.DAY_VIEW
			});
			ko.applyBindings(_this.appModel, _this.list_container.get(0));
			_this.scrollEvent();

			window.addEventListener('focus', function() {
				if (_this.team_interval<=0) {
					_this.team_interval = 6E5;
					_this.appModel.refresh();
				}
			},false);
		};
	};
}(window.Otime));
